.modal {
    display: none;
    position: fixed;
    z-index: 10;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    overflow: auto;
    justify-content: center;
    align-items: center;
    background: rgba(0, 0, 0, 0.5);
    animation-name: modalopen;
    animation-duration: 0.1s;
}
.modal-transparent {
    background: transparent;
}
.modal-form {
    position: absolute;
    height: 210px;
    width: 400px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: white;
    background: rgba(255, 255, 255, 0.15);
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.5);
    backdrop-filter: blur(8.5px);
    border-radius: 10px;
    animation-name: modalopen;
    animation-duration: 0.3s;
}
.modal-form-info {
    color: #343a40;
    background: ghostwhite;
}
.modal-header {
    height: 23%;
    width: 100%;
    float: top;
    padding: 10px;
    /* background: rgba(255, 255, 255, 0.35); */
    backdrop-filter: blur(8.5px);
    border-radius: 10px 10px 0 0;
}
.modal-error {
    background: rgba(143, 214, 12, 0.35);
}
.modal-info {
    background: #3283f6;
}
.modal-title {
    height: 100%;
    display: flex;
    align-items: center;
    vertical-align: middle;
}
.modal-title h2 {
    font-size: 18px;
    font-weight: 100;
    color: #ddd;
    margin-left: 6px;
    text-shadow: 2px 2px 4px #333;
}
.modal-info .modal-title h2 {
    font-weight: 400;
}
.modal-title h2.language-zh {
    letter-spacing: 0.2rem;
    text-indent: 0.2rem;
}
.modal-title h2.language-en {
    letter-spacing: 0;
    text-indent: 0;
}
#modal-close {
    color: #ddd;
    position: absolute;
    top: 50%;
    right: 10px;
    transform: translateY(-50%);
    font-size: 20px;
}
#modal-close:hover, #modal-close:focus {
    color: white;
    text-shadow: 0 0 2px white;
    text-decoration: none;
    cursor: pointer;
}
.modal-body {
    height: 50%;
    width: 100%;
    align-items: center;
    vertical-align: middle;
    position: relative;
    letter-spacing: 0;
    text-indent: 0;
}
.modal-body p {
    margin: 0;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 90%;
    text-align: center;
    font-size: 16px;
    font-weight: 100;
    color: white;
    text-shadow: 1px 1px 2px #333;
}
.modal-form-info .modal-body p {
    color: inherit;
    font-weight: 400;
    /* text-shadow: 0 0 1px #aaa; */
    text-shadow: none;
}
.modal-footer {
    height: 27%;
    width: 100%;
    float: bottom;
    align-items: center;
    vertical-align: middle;
    position: relative;
    padding-bottom: 10px;
}
.modal-footer button {
    background: rgba(255, 255, 255, 0.15);
    backdrop-filter: blur(8.5px);
    width: 100px;
    height: 36px;
    border: none;
    color: #ddd;
    border-radius: 2rem;
    cursor: pointer;
    font-size: 0.92rem;
    margin: 0;
    position: absolute;
    top: 0;
    left: 50%;
    transform: translate(-50%, 0);
}
.modal-footer button.language-zh {
    letter-spacing: 0.2rem;
    text-indent: 0.2rem;
}
.modal-footer button.language-en {
    letter-spacing: 0;
    text-indent: 0;
}
.modal-footer button:hover {
    color: white;
    text-shadow: 0 0 1px white;
    background: rgba(255, 255, 255, 0.25);
}

.modal-form-info .modal-footer button {
    color: #fff;
    background: #3283f6;
}

@keyframes modalopen {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}


.tip-modal {
    display: none;
    position: fixed;
    z-index: 1003;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    overflow: auto;
    justify-content: center;
    align-items: center;
    background: transparent;
}
.tip-modal-form {
    position: absolute;
    padding: 12px;
    height: 500px;
    width: 460px;
    color: white;
    background: rgba(0, 0, 0, 0.85);
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.5);
    backdrop-filter: blur(8.5px);
    border-radius: 10px;
    animation-name: tipmodalopen;
    animation-duration: 0.3s;
}
@keyframes tipmodalopen {
    from {
        opacity: 0;
        transform: scaleX(0.8) scaleY(0.8);
    }
    to {
        opacity: 1;
        transform: scaleX(1) scaleY(1);
    }
}

.tip-modal-title {
    display: inline-block;
    text-align: center;
    width: 100%;
}
.tip-modal-title h2 {
    font-size: 18px;
    font-weight: 100;
    color: #ddd;
    margin-left: 6px;
    text-shadow: 2px 2px 4px #333;
}